Update an employee for a company
curl --request PUT \
--url https://openapi.pleo.io/v1/employees/{employeeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"jobTitle": "<string>",
"phone": "<string>",
"code": "<string>"
}
'import requests
url = "https://openapi.pleo.io/v1/employees/{employeeId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"jobTitle": "<string>",
"phone": "<string>",
"code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
email: '<string>',
jobTitle: '<string>',
phone: '<string>',
code: '<string>'
})
};
fetch('https://openapi.pleo.io/v1/employees/{employeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"jobTitle": "<string>",
"role": "<string>",
"phone": "<string>",
"avatar": {
"url": "<string>"
},
"code": "<string>",
"teamId": "<string>"
}{
"statusCode": 401,
"error": "Forbidden",
"message": "user_scope_insufficient"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "user_scope_insufficient"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}"Something went wrong. Please contact the administrator if problems persist."Employees
Update an employee for a company
deprecated
PUT
/
employees
/
{employeeId}
Update an employee for a company
Authorizations
Open API Bearer token
Path Parameters
Unique UUID of the employee.
Example:
"0f0e000-000d-0d00-000b-00db0d000fae"
Body
application/json
Response
An employee has been returned
Was this page helpful?
⌘I